chipcardd(1)

NAME

chipcardd - LibChipCard's card reader daemon

SYNTAX

chipcardd [options]

DESCRIPTION

This is the LibChipCard card reader server. You need this to access your card readers via LibChipCard. In normal cases chipcardd does not need any root privileges in order to run. So I recommend against running it as root. However, running it as a normal user needs some precautions. The chipcardd must be allowed to write the pidfile and to read the configuration file. You can give each of them as command line arguments.

OPTIONS

-C <configfile>
    Uses the given configuration file. If omitted the file /usr/local/etc/chipcardd.conf is used.

-h  Output help information and exit.

-V  Output version information and exit.

--pidfile <pidfile>
    Use the given file to store the process id. This is used by some init scripts to determine whether the daemon is running. It defaults to /usr/local/var/run/chipcardd.pid.

--logfile <logfile>
    Use the given file to store the log messages. It defaults to /usr/local/var/log/chipcardd.log. This only applies if the logtype is file (see below).

--logtype <logtype>
    Use the given log type. Currently the following logtypes are supported: stderr, file and syslog. The last type is only supported on systems using syslog to log system messages (all Linuxes and BSDs)

-f  Dont fork. If you give this option then chipcardd will not fork but stay in foreground. If omitted (and your system supports it) the daemon will fork itself into background.

--exit-on-error
    Normally the supervising process simply suspends chipcardd if there was a setup error and waits either for a HUP or CONT signal. With this option chipcardd will exit completely upon setup error.

SIGNALS

The chipcard daemon responds to some signals:

TERM
    Terminates the daemon smoothly.

INT Terminates the daemon smoothly. The daemon receives this signal if you press CTRL-C while it is running in foreground (with option -f).

USR1
    Increases the verbosity of chipcardd.

USR2
    Decreases the verbosity of chipcardd.

TSTP
    Resumes the daemon until the signal CONT is received. This signal is used by KCardSetup to temporarily suspend the daemon.

CONT
    Resumes the daemon if it has been suspended by the signal TSTP. This has the side effect that the daemon reloads its configuration file.

HUP Restart the daemon thereby forcing it to reload its configuration file.

You can send a signal using the command
killall -USR1 chipcardd
Don't be misled by the name killall, this is a standard unix tool to send signals to processes.
The example above would make chipcardd log more detailed information.

FILES

/usr/local/etc/chipcardd.conf
/usr/local/var/run/chipcardd.pid
/usr/local/var/log/chipcardd.log

ENVIRONMENT VARIABLES

The chipcardd does not use any environment variables

EXAMPLES

To run this program the standard way type:

chipcardd

If you want to log to a logfile:

chipcardd --logtype file --logfile ~/chipcardd.log

If you want to use your own pidfile:

chipcardd --pidfile ~/chipcardd.pid

To watch the daemon for debugging purposes:

chipcardd --logtype stderr -f --pidfile ~/chipcardd.pid

AUTHORS

Martin Preuss <martin@libchipcard.de>

SEE ALSO

libchipcard.conf(5) chipcardd.conf(5) chipcardc.conf(5)